Page MenuHomePhabricator

Fix oresBaseUrl config variable in frontend
Closed, ResolvedPublic

Description

From T219342#5060747

In the HTML:

"oresBaseUrl": "http://ores.discovery.wmnet:8081/",

That's broken or presumably unused. This is an internal host name, which a client shouldn't be able to use for anything.

We need to define a new config variable to be used for frontend.

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 27 2019, 2:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 499503 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/ORES@master] Introduce $wgOresFrontendBaseUrl config variable

https://gerrit.wikimedia.org/r/499503

Change 500775 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/ORES@master] Remove unused ores* variables from mw.config on every page

https://gerrit.wikimedia.org/r/500775

Change 500775 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Remove unused ores* variables from mw.config on every page

https://gerrit.wikimedia.org/r/500775

Change 499503 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Introduce $wgOresFrontendBaseUrl config variable

https://gerrit.wikimedia.org/r/499503

I need to set this variable in production after it got deployed.

Change 508298 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Set $wgOresFrontendBaseUrl

https://gerrit.wikimedia.org/r/508298

Change 508298 merged by jenkins-bot:
[operations/mediawiki-config@master] Set $wgOresFrontendBaseUrl

https://gerrit.wikimedia.org/r/508298

Mentioned in SAL (#wikimedia-operations) [2019-05-06T18:14:26Z] <catrope@deploy1001> Synchronized wmf-config/CommonSettings.php: Set $wgOresFrontendBaseUrl (T219396) (duration: 00m 51s)

Ladsgroup closed this task as Resolved.May 6 2019, 6:18 PM
Ladsgroup moved this task from Active to Done on the Scoring-platform-team (Current) board.